## mkcal 0.7.27+dfsg

=== doc/CMakeLists.txt ===
find_program(DOXYGEN NAMES doxygen)
execute_process(
	COMMAND ${DOXYGEN} ${CMAKE_CURRENT_SOURCE_DIR}/libmkcal.cfg; ${CMAKE_CURRENT_SOURCE_DIR}/doc/xmlize.pl;
)

install(DIRECTORY html
	DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/libmkcal-doc)

=== tests/CMakeLists.txt ===
set(SRC_STORAGE
	tst_storage.cpp)
set(HEADERS_STORAGE
	tst_storage.h)

add_executable(tst_storage ${SRC_STORAGE} ${HEADERS_STORAGE})

target_include_directories(tst_storage PRIVATE ${PROJECT_SOURCE_DIR}/src)

target_link_libraries(tst_storage
	Qt5::DBus
	Qt5::Test
	KF5::CalendarCore
	PkgConfig::SQLITE3
	PkgConfig::TIMED
	mkcal-qt5)

add_test(tst_storage tst_storage)
add_definitions(-DTIMED_SUPPORT)

set(SRC_PERF
	tst_perf.cpp)
set(HEADERS_PERF
	tst_perf.h)

add_executable(tst_perf ${SRC_PERF} ${HEADERS_PERF})

target_include_directories(tst_perf PRIVATE ${PROJECT_SOURCE_DIR}/src)

target_link_libraries(tst_perf
	Qt5::Test
	KF5::CalendarCore
	mkcal-qt5)

add_test(tst_perf tst_perf)

add_executable(tst_load tst_load.cpp)

target_include_directories(tst_load PRIVATE ${PROJECT_SOURCE_DIR}/src)

target_link_libraries(tst_load
	Qt5::Test
	KF5::CalendarCore
	mkcal-qt5)

add_test(tst_load tst_load)

if(INSTALL_TESTS)
	install(TARGETS tst_storage
		DESTINATION /opt/tests/mkcal)
	install(TARGETS tst_load
		DESTINATION /opt/tests/mkcal)
	install(TARGETS tst_perf
		DESTINATION /opt/tests/mkcal)
	install(FILES tests.xml
		DESTINATION /opt/tests/mkcal)
endif()

=== tools/CMakeLists.txt ===
add_subdirectory(mkcaltool)

## mkcal 0.7.26+dfsg

=== debian/changelog ===
mkcal (0.7.26+dfsg-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 May 2024 20:12:46 +0200

mkcal (0.7.26+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1071286).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 19:42:36 +0200

=== debian/control ===
Source: mkcal
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               pkgconf,
               qtbase5-dev,
               qtdeclarative5-dev,
               libkf5calendarcore-dev,
               libsqlite3-dev,
               doxygen,
               graphviz,
               xauth,
               xvfb,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/sailfishos/mkcal
Vcs-Browser: https://salsa.debian.org/ubports-team/mkcal
Vcs-Git: https://salsa.debian.org/ubports-team/mkcal.git

Package: libmkcal-qt5-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: SQlite storage backend for KCalendarCore
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package contains the Qt5 build of the libmkcal library.

Package: mkcal-bin
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: SQlite storage backend for KCalendarCore tools
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package includes related tools.

Package: libmkcal-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmkcal-qt5-0 (= ${binary:Version}),
Description: SQlite storage backend for KCalendarCore development files
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package contains the development files.

#Package: libmkcal-qt5-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#Description: SQlite storage backend for KCalendarCore API documentation
# Extends KDE calendar core library and provides an SQlite backend.
# .
# This package contains the API documentation for libmkcal-qt5.

## mkcal 0.7.27+dfsg

=== debian/changelog ===
mkcal (0.7.27+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 18:19:12 +0200

## mkcal 0.7.28+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(mkcal
	VERSION 0.7.22
	DESCRIPTION "Mkcal calendar library")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMGeneratePkgConfigFile)

option(BUILD_PLUGINS "Build plugin" ON)
option(BUILD_TESTS "Build tests" ON)
option(INSTALL_TESTS "Install the tests to the system" OFF)
option(BUILD_DOCUMENTATION "Build documentation" OFF)

find_package(PkgConfig REQUIRED)

set(QT_MIN_VERSION "5.6.0")
find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS DBus Gui Test REQUIRED)
find_package(KF5 COMPONENTS CalendarCore REQUIRED)

pkg_check_modules(TIMED timed-qt5 IMPORTED_TARGET REQUIRED)
set_property(GLOBAL APPEND PROPERTY _CMAKE_timed-qt5_TYPE REQUIRED)
pkg_check_modules(SQLITE3 sqlite3 IMPORTED_TARGET REQUIRED)
set_property(GLOBAL APPEND PROPERTY _CMAKE_sqlite3_TYPE REQUIRED)

if(TIMED_FOUND)
	set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND timed-qt5)
else()
	set_property(GLOBAL APPEND PROPERTY PACKAGES_NOT_FOUND timed-qt5)
endif()
if(SQLITE3_FOUND)
	set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND sqlite3)
else()
	set_property(GLOBAL APPEND PROPERTY PACKAGES_NOT_FOUND sqlite3)
endif()

add_subdirectory(src)
add_subdirectory(tools)

if(BUILD_PLUGINS)
	pkg_check_modules(QMF QmfClient IMPORTED_TARGET REQUIRED)
	set_property(GLOBAL APPEND PROPERTY _CMAKE_QmfClient_TYPE REQUIRED)

	if(QMF_FOUND)
		set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND QmfClient)
	else()
		set_property(GLOBAL APPEND PROPERTY PACKAGES_NOT_FOUND QmfClient)
	endif()

	add_subdirectory(plugins)
endif()

if(BUILD_TESTS)
	include(CTest)
	add_subdirectory(tests)
endif()

if(BUILD_DOCUMENTATION)
	find_package(Doxygen REQUIRED)
	if(DOXYGEN_FOUND)	
		add_subdirectory(doc)
	endif()
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(SRC
	extendedcalendar.cpp
	extendedstorage.cpp
	notebook.cpp
	sqliteformat.cpp
	sqlitestorage.cpp
	servicehandler.cpp
        alarmhandler.cpp
	logging.cpp
	semaphore_p.cpp)
set(HEADERS
	extendedcalendar.h
	extendedstorage.h
	extendedstorageobserver.h
	notebook.h
	sqlitestorage.h
	servicehandlerif.h
	servicehandler.h
	dummystorage.h
	mkcal_export.h
	invitationhandlerif.h)

set(PRIVATE_HEADERS
        alarmhandler_p.h
        logging_p.h
        semaphore_p.h
        sqliteformat.h
        )

add_library(mkcal-qt5 SHARED ${SRC} ${HEADERS} ${PRIVATE_HEADERS})

target_compile_definitions(mkcal-qt5 PRIVATE MKCAL_LIBRARY)
target_link_libraries(mkcal-qt5
		PRIVATE
	Qt5::DBus
	PkgConfig::SQLITE3
	PkgConfig::TIMED
		PUBLIC
	Qt5::Gui
	KF5::CalendarCore)

set_target_properties(mkcal-qt5 PROPERTIES
	SOVERSION ${PROJECT_VERSION_MAJOR}
	VERSION ${PROJECT_VERSION})

add_definitions(-fvisibility=hidden -fvisibility-inlines-hidden)
add_definitions(-DMKCALPLUGINDIR="${CMAKE_INSTALL_FULL_LIBDIR}/mkcalplugins")
add_definitions(-DTIMED_SUPPORT)

# Install the library
install(TARGETS mkcal-qt5
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# Install headers
install(FILES ${HEADERS}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/mkcal-qt5
	COMPONENT Devel)

ecm_generate_pkgconfig_file(
	BASE_NAME libmkcal-qt5
	LIB_NAME mkcal-qt5
	INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/mkcal-qt5
	DESCRIPTION ${PROJECT_DESCRIPTION}
	INSTALL)

=== tools/mkcaltool/CMakeLists.txt ===
set(SRC
	main.cpp
	mkcaltool.cpp)
set(HEADERS
	mkcaltool.h)

add_executable(mkcaltool ${SRC} ${HEADERS})

target_include_directories(mkcaltool PRIVATE ${PROJECT_SOURCE_DIR}/src)

target_link_libraries(mkcaltool
	KF5::CalendarCore
	mkcal-qt5)

install(TARGETS mkcaltool
	DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
mkcal (0.7.28+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 23:00:53 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                xvfb,
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sailfishos/mkcal
 Vcs-Browser: https://salsa.debian.org/ubports-team/mkcal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# disable plugins because the only plugin defaultinvitationplugin has
	# a non-free license
	# documentation is currently broken
	dh_auto_configure -- \
	    -DBUILD_PLUGINS=OFF \
#	    -DBUILD_DOCUMENTATION=ON \
	$(NULL)

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://github.com/sailfishos/mkcal/tags .*/(\d.*)@ARCHIVE_EXT@
